# -*- coding: utf-8 -*-
import glob
import law
import luigi
import logging
import os
import re
import shutil
import six

from functools import partial
from fnmatch import fnmatch
from subprocess import PIPE

from law.util import interruptable_popen

from .Warmup import Warmup
from ..util import createRuncard, working_directory

from analysis.framework import Task, HTCondorWorkflow, SpaceSeparatedListParameter

logger = logging.getLogger(__name__)
working_directory = partial(working_directory, logger=logger)


class Rewarmup(Warmup):
    # convenience task with own section in `luigi.cfg`
    # behavior identical to `Warmup`, but registers `Warmup` as a
    # dependency and continues an existing warmup run

    NNLOJET_WARMUP_FLAG = '2'

    def workflow_requires(self):
        return {'warmup': Warmup()}

    def requires(self):
        return {'warmup': Warmup.req(self)}
